| OpenZWave Library 1.6.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
OpenZWave::SimpleAVCommandItem Class Reference

`#include <SimpleAVCommandItem.h>`

## Public Member Functions
| SimpleAVCommandItem (uint16 const _code, string _name, string _description, uint16 const _version)
uint16 | GetCode ()
string | GetName ()
string | GetDescription ()
uint16 | GetVersion ()

## Static Public Member Functions
static vector< SimpleAVCommandItem > | GetCommands ()

## Constructor & Destructor Documentation

## ◆ SimpleAVCommandItem()

SimpleAVCommandItem::SimpleAVCommandItem | ( | uint16 const | _code,
|  | string | _name,
|  | string | _description,
|  | uint16 const | _version
| ) |  |

## Member Function Documentation

## ◆ GetCode()

uint16 SimpleAVCommandItem::GetCode | ( |  | ) |

## ◆ GetCommands()

vector< SimpleAVCommandItem > SimpleAVCommandItem::GetCommands | ( |  | ) |
| static

## ◆ GetDescription()

string SimpleAVCommandItem::GetDescription | ( |  | ) |

## ◆ GetName()

string SimpleAVCommandItem::GetName | ( |  | ) |

## ◆ GetVersion()

uint16 SimpleAVCommandItem::GetVersion | ( |  | ) |

The documentation for this class was generated from the following files:

- SimpleAVCommandItem.h
- SimpleAVCommandItem.cpp